From ee0b60ba9c5d08aff49600866d7e8439d836579a Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Mon, 25 Apr 2022 14:59:12 -0500
Subject: [PATCH] doc: avoid saying "inheritence" when it applies to
 partitioned rels

This is almost the opposite of 0c06534bd, which removed references to
"partition" in favour of "child".
---
 doc/src/sgml/catalogs.sgml | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 2e46ed7cc57..851ff959021 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -2140,7 +2140,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        <structfield>relhassubclass</structfield> <type>bool</type>
       </para>
       <para>
-       True if table or index has (or once had) any inheritance children
+       True if table or index has (or once had) any inheritance children or partitions
       </para></entry>
      </row>
 
@@ -7311,7 +7311,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
   <para>
    Normally there is one entry, with <structfield>stainherit</structfield> =
    <literal>false</literal>, for each table column that has been analyzed.
-   If the table has inheritance children, a second entry with
+   If the table has inheritance children or partitions, a second entry with
    <structfield>stainherit</structfield> = <literal>true</literal> is also created.  This row
    represents the column's statistics over the inheritance tree, i.e.,
    statistics for the data you'd see with
@@ -7394,7 +7394,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        <structfield>stainherit</structfield> <type>bool</type>
       </para>
       <para>
-       If true, the stats include inheritance child columns, not just the
+       If true, the stats include values from child tables, not just the
        values in the specified relation
       </para></entry>
      </row>
@@ -7666,7 +7666,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
   <para>
    Normally there is one entry, with <structfield>stxdinherit</structfield> =
    <literal>false</literal>, for each statistics object that has been analyzed.
-   If the table has inheritance children, a second entry with
+   If the table has inheritance children or partitions, a second entry with
    <structfield>stxdinherit</structfield> = <literal>true</literal> is also created.
    This row represents the statistics object over the inheritance tree, i.e.,
    statistics for the data you'd see with
@@ -7720,7 +7720,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        <structfield>stxdinherit</structfield> <type>bool</type>
       </para>
       <para>
-       If true, the stats include inheritance child columns, not just the
+       If true, the stats include values from child tables, not just the
        values in the specified relation
       </para></entry>
      </row>
@@ -13157,7 +13157,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        <structfield>inherited</structfield> <type>bool</type>
       </para>
       <para>
-       If true, this row includes inheritance child columns, not just the
+       If true, this row includes values from child tables, not just the
        values in the specified table
       </para></entry>
      </row>
@@ -13419,7 +13419,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        (references <link linkend="catalog-pg-statistic-ext-data"><structname>pg_statistic_ext_data</structname></link>.<structfield>stxdinherit</structfield>)
       </para>
       <para>
-       If true, the stats include inheritance child columns, not just the
+       If true, the stats include values from child tables, not just the
        values in the specified relation
       </para></entry>
      </row>
@@ -13611,7 +13611,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
        (references <link linkend="catalog-pg-statistic-ext-data"><structname>pg_statistic_ext_data</structname></link>.<structfield>stxdinherit</structfield>)
       </para>
       <para>
-       If true, the stats include inheritance child columns, not just the
+       If true, the stats include values from child tables, not just the
        values in the specified relation
       </para></entry>
      </row>
-- 
2.17.1

